WriterEncryptionKey (ORC Core 1.6.6 API)
Date: 2021-01-13

org.apache.orc.impl.writer

## Class WriterEncryptionKey

- java.lang.Object
- - org.apache.orc.impl.writer.WriterEncryptionKey

- All Implemented Interfaces:
    Comparable<EncryptionKey>, EncryptionKey

      public class WriterEncryptionKey
      extends Object
      implements EncryptionKey

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WriterEncryptionKey(HadoopShims.KeyMetadata key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRoot(WriterEncryptionVariant root)`
    `int` | `compareTo(@NotNull EncryptionKey other)`
    `boolean` | `equals(Object other)`
    `EncryptionAlgorithm` | `getAlgorithm()` The encryption algorithm for this key.
    `WriterEncryptionVariant[]` | `getEncryptionRoots()` The columns that are encrypted with this key.
    `int` | `getId()`
    `String` | `getKeyName()` The name of the key.
    `int` | `getKeyVersion()` The version of the key.
    `HadoopShims.KeyMetadata` | `getMetadata()`
    `int` | `hashCode()`
    `boolean` | `isAvailable()` Is the key available to this user?
    `void` | `setId(int id)`
    `void` | `sortRoots()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WriterEncryptionKey

          public WriterEncryptionKey(HadoopShims.KeyMetadata key)

  - ### Method Detail

    - #### addRoot

          public void addRoot(WriterEncryptionVariant root)

    - #### getMetadata

          public HadoopShims.KeyMetadata getMetadata()

    - #### setId

          public void setId(int id)

    - #### getKeyName

          public String getKeyName()

      Description copied from interface: `EncryptionKey`
      The name of the key.
      Specified by:
        `getKeyName` in interface `EncryptionKey`
      Returns:
        the name

    - #### getKeyVersion

          public int getKeyVersion()

      Description copied from interface: `EncryptionKey`
      The version of the key.
      Specified by:
        `getKeyVersion` in interface `EncryptionKey`
      Returns:
        the version, which for most KeyProviders start at 0.

    - #### getAlgorithm

          public EncryptionAlgorithm getAlgorithm()

      Description copied from interface: `EncryptionKey`
      The encryption algorithm for this key.
      Specified by:
        `getAlgorithm` in interface `EncryptionKey`
      Returns:
        the encryption algorithm

    - #### getEncryptionRoots

          public WriterEncryptionVariant[] getEncryptionRoots()

      Description copied from interface: `EncryptionKey`
      The columns that are encrypted with this key.
      Specified by:
        `getEncryptionRoots` in interface `EncryptionKey`
      Returns:
        the list of columns

    - #### isAvailable

          public boolean isAvailable()

      Description copied from interface: `EncryptionKey`
      Is the key available to this user?
      Specified by:
        `isAvailable` in interface `EncryptionKey`
      Returns:
        true if the key is available

    - #### getId

          public int getId()

    - #### sortRoots

          public void sortRoots()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### compareTo

          public int compareTo(@NotNull
                               @NotNull EncryptionKey other)

      Specified by:
        `compareTo` in interface `Comparable<EncryptionKey>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.